prpath(1)

NAME
prpath

SYNOPSIS
prpath [options] [[<as-no>] <destination-specification>]

DESCRIPTION

prpath enumerates a list of paths between <as-no> and <destination-specification>. <destination-specification> can be an AS number, an IP address, a host name or an address prefix. If <as-no> is not specified it is deduced for your system from the IP address of your host and IRR. If no <destination-specification> is given prpath goes into a command loop where it inputs <destination-specification> from stdin, one at a line.

prpath ignores error and warning messages due to communication to the database server or parsing policy objects. Please see -ignore_errors and -report_errors options below.

RAToolSet COMMON OPTIONS

    -help
        Print summary of command-line options and abort.

    -T [whois_query | whois_response | input | all]
        Trace the argument. Useful for debugging.

    -D <integer>
        Print debugging messages of debug channel <integer> (if compiled with DEBUG defined).

    -version
        Print the version number and quit.

    -h <host-name>
        Establish an radbserver connection to host <host-name>.

    -p <port-no>
        Establish an radbserver connection to port <port-no>.

    -s <source-list>
        Consider the sources specified in the comma separated <source-list>. If an object is defined in multiple sources in <source-list>, prpath uses the definition first encountered in <source-list> from left to right.

    -rusage
        Print resource usage upon completion.

    -prompt <string>
        Set the interactive prompt to <string>.

    -ignore_errors
        Do not print error and warning messages due to communication to the database server or parsing policy objects.

    -report_errors
        Print error and warning messages due to communication to the database server or parsing policy objects.

OTHER OPTIONS

    -as <as-no>
        Syntax check the aut-num object for <as-no>.

    -mpl <integer>
        If the shortest path between the source and the destination is N hops, report all paths that are shorter than N + <integer>.

ENVIRONMENT VARIABLES

    IRR_HOST
        Specifies the radbserver host to connect.

    IRR_PORT
        Specifies the radbserver port number to connect.

    IRR_SOURCES
        Specifies the source list (comma separated) to consider.

Command line options take precedence over environment variables.

EXAMPLES

	% ./prpath AS2914 193.85.128.0/24
	Route:
	   NLRI: 193.85.128.0/24
	   Origins: AS2819
	   Communities: COMM_NSFNET
	AS2819 AS286 AS2914

AUTHORS
Cengiz Alaettinoglu <cengiz@isi.edu>

ACKNOWLEDGEMENTS
This is enhanced version of RIPE's prpath tool.